#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

#define ll long long

using namespace std;

ll pow(ll a, ll n) {
    if (n == 0) {
        return 1;
    } else if (n % 2 == 0) {
        return pow(a, n / 2) * pow(a, n / 2);
    } else {
        return pow(a, n / 2) * pow(a, n / 2) * a;
    }
}

// max  ,      ,  1
// -  - 1
ll log10(ll antilog) {
    int l = 0, r = 19;
    while (r - l > 1) {
        int m = (l + r) / 2;
        if (antilog / pow(10, m) >= 1) {
            l = m;
        } else {
            r = m;
        }
    }
    return l;
}

int getFirst(ll n) {
    int ans = -1;
    while (n != 0) {
        ans = n % 10;
        n /= 10;
    }
    return ans;
}

ll pref(ll k) {
    vector<ll> dp(19);
    // 1 
    dp[0] = 9;
    dp[1] = 9 * pow(10, 0);
    dp[2] = 9 * pow(10, 1);
    for (int i = 3; i < 19; i++) {
        dp[i] = 9 * pow(10, i - 1);
    }
    // dp[18]  19- 
    vector<ll> pref(20);
    pref[0] = 0;
    for (int i = 0; i < 19; i++) {
        pref[i + 1] = pref[i] + dp[i];
    }
    // pref[19]  19- 
    //  pref[18]  19 , ..   19-    
    return pref[k];
}

//     -    n (. . k + 1)
ll compute(ll n, ll k) {
    ll ans = 0;
    int m = getFirst(n);
    //       < m all good
    // 1 ... m-1 -  m-1
    ans += pow(10, k - 1) * (m - 1);

    //        n:
    // t -       n
    ll t = (n - getFirst(n) * pow(10, k)) / 10;
    ans += t + 1;

    if (n % 10 < getFirst(n)) {
        ans--;
    }

    return ans;
}

ll fasttest(ll n)
{
    ll k = log10(n);
    ll ans = pref(k);
    //   ,  -  ,   n; - !
    ans += compute(n, k);
    return ans;
}

ll slowtest(ll n) {
    ll ans = 0;
    for (ll i = 1; i <= n; i++) {
        if (getFirst(i) == i % 10) {
            ans++;
        }
    }
    return ans;
}

void test() {
    for (int n = 0; n < 100000; n++) {
        if (fasttest(n) != slowtest(n)) {
            cout << "BROKEN " << n << endl;
            cout << "SLOW: " << slowtest(n) << endl;
            cout << "FAST: " << fasttest(n) << endl;
            cout << endl;
        }
    }
}

int main() {
    ll n;
    cin >> n;
    if (n < 10) {
        cout << slowtest(n);
    } else {
        cout << fasttest(n);
    }
}
