#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;

//   ,    
bool isPrime(int num) {
    if (num <= 1) return false;
    for (int i = 2; i <= sqrt(num); i++) {
        if (num % i == 0) return false;
    }
    return true;
}

//     n  
vector<int> getPrimes(int n) {
    vector<int> primes;
    int count = 0;
    int num = 2; //     
    while (count < n) {
        if (isPrime(num)) {
            primes.push_back(num);
            count++;
        }
        num++;
    }
    return primes;
}

//     
pair<long long, long long> findBeautifulPartition(const vector<int>& primes) {
    long long a = 1, b = 1; //    
    vector<int> groupA, groupB;

    //    
    for (int prime : primes) {
        //      ,    
        if (a < b) {
            a *= prime;
            groupA.push_back(prime);
        } else {
            b *= prime;
            groupB.push_back(prime);
        }
    }

    return {a, b};
}

int main() {
    int n;
    cout << "    (n): ";
    cin >> n;

    //   n  
    vector<int> primes = getPrimes(n);

    //   
    auto [a, b] = findBeautifulPartition(primes);

    //   a < b
    if (a >= b) {
        cout << "    ." << endl;
    } else {
        cout << "  A (a): " << a << endl;
        cout << "  B (b): " << b << endl;
    }

    return 0;
}
