def find_partitions(n):
    result = []

    def backtrack(start, remaining, current_partition):
        if remaining == 0:
            result.append(current_partition)
            return
        for i in range(start, remaining + 1):
            backtrack(i + 1, remaining - i, current_partition + [i])

    backtrack(1, n, [])
    return result

# Пример использования
n = 9
partitions = find_partitions(n)
for partition in partitions:
    print('+'.join(map(str, partition)))

# def find_partitions(n):
#     result = []
#
#     def backtrack(start, remaining, current_partition):
#         if remaining == 0:
#             result.append(current_partition)
#             return
#         for i in range(start, remaining + 1):
#             # Слагаемое должно быть строго больше предыдущего
#             if not current_partition or i > current_partition[-1]:
#                 backtrack(i + 1, remaining - i, current_partition + [i])
#
#     backtrack(1, n, [])
#     return result
#
# # Пример использования
# n = 9
# partitions = find_partitions(n)
# for partition in partitions:
#     print('+'.join(map(str, partition)))

