import math
import itertools

def generate_primes(n):
    sieve = []
    is_prime = [True] * 1000  
    is_prime[0] = is_prime[1] = False
    for i in range(2, 1000):
        if is_prime[i]:
            sieve.append(i)
            if len(sieve) == n:
                break
            for j in range(i*i, 1000, i):
                is_prime[j] = False
    return sieve

def main():
    n = int(input())
    primes = generate_primes(n)
    
    total_product = 1
    sum_logs = 0.0
    for p in primes:
        total_product *= p
        sum_logs += math.log(p)
    
    target = sum_logs / 2.0
    
    half = n // 2
    first_half = primes[:half]
    second_half = primes[half:]
    
    subsets_first = []
    for mask in range(1 << half):
        sum_A1 = 0.0
        product_A1 = 1
        for i in range(half):
            if mask & (1 << i):
                sum_A1 += math.log(first_half[i])
                product_A1 *= first_half[i]
        subsets_first.append((sum_A1, product_A1))
    
    subsets_second = []
    for mask in range(1 << (n - half)):
        sum_A2 = 0.0
        product_A2 = 1
        for i in range(n - half):
            if mask & (1 << i):
                sum_A2 += math.log(second_half[i])
                product_A2 *= second_half[i]
        subsets_second.append((sum_A2, product_A2))
    
    subsets_second_sorted = sorted(subsets_second, key=lambda x: x[0])
    
    best_diff = float('inf')
    best_a = 1
    for sum_A1, product_A1 in subsets_first:
        remaining = target - sum_A1
        if remaining < 0:
            continue
        import bisect
        idx = bisect.bisect_right(subsets_second_sorted, (remaining, float('inf'))) - 1
        if idx >= 0:
            sum_A2, product_A2 = subsets_second_sorted[idx]
            sum_A = sum_A1 + sum_A2
            a = product_A1 * product_A2
            b = total_product // a
            if a < b:
                diff = b - a
                if diff < best_diff:
                    best_diff = diff
                    best_a = a
    print(best_a)

if __name__ == "__main__":
    main()
