def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True


def first_n_primes(n):
    primes = []
    num = 2
    while len(primes) < n:
        if is_prime(num):
            primes.append(num)
        num += 1
    return primes


def split_primes(primes):
    from itertools import combinations
    n = len(primes)
    total = 1
    for p in primes:
        total *= p
    best_a = 1
    min_diff = float('inf')

    for r in range(1, n):
        for combo in combinations(primes, r):
            a = 1
            for x in combo:
                a *= x
            b = total // a
            if a < b and (b - a < min_diff):
                min_diff = b - a
                best_a = a

    return best_a


n = int(input())
primes = first_n_primes(n)
result = split_primes(primes)
print(result)