def is_valid_partition(partition):
    """Проверяет, является ли разбиение допустимым по заданным условиям."""
    if len(partition) < 3:
        return True  # Для разбиений с менее чем 3 слагаемыми условие не применяется
    # Проверяем условие для трех слагаемых
    a, b, c = partition[-3], partition[-2], partition[-1]
    return (c - b) > (b - a)

def find_partitions(n, start, current_partition, all_partitions):
    """Рекурсивно находит все разбиения числа n с уникальными слагаемыми."""
    if n == 0:
        if is_valid_partition(current_partition):
            all_partitions.append(current_partition.copy())
        return
    
    for i in range(start, n + 1):
        current_partition.append(i)
        find_partitions(n - i, i + 1, current_partition, all_partitions)  # Увеличиваем start на 1 для уникальности
        current_partition.pop()

def print_partitions(partitions):
    """Выводит разбиения в нужном формате."""
    for partition in partitions:
        print('+'.join(map(str, partition)))

def main():
    n = int(input("Введите число n: "))
    all_partitions = []
    find_partitions(n, 1, [], all_partitions)  # Начинаем с 1, чтобы слагаемые были положительными
    print_partitions(all_partitions)

if __name__ == "__main__":
    main()