def is_valid_partition(partition):
    if len(partition) < 3:
        return True  
    a, b, c = partition[-3], partition[-2], partition[-1]
    return (c - b) > (b - a)

def find_partitions(n, start, current_partition, all_partitions):
 
    if n == 0:
        if is_valid_partition(current_partition):
            all_partitions.append(current_partition.copy())
        return
    
    for i in range(start, n + 1):
        current_partition.append(i)
        find_partitions(n - i, i + 1, current_partition, all_partitions) 
        current_partition.pop()

def print_partitions(partitions):
    for partition in partitions:
        print('+'.join(map(str, partition)))

def main():
    n = int(input())
    all_partitions = []
    find_partitions(n, 1, [], all_partitions)
    print_partitions(all_partitions)

if __name__ == "__main__":
    main()