#include <cstdint>
#include <cstddef>
#include <cmath>
#include <iostream>
#include <string>

typedef uint_fast8_t u8;
typedef uint_fast16_t u16;
typedef uint_fast32_t u32;
typedef uint_fast64_t u64;
typedef int_fast8_t s8;
typedef int_fast16_t s16;
typedef int_fast32_t s32;
typedef int_fast64_t s64;

typedef float f32;
typedef double f64;
typedef long double f128;

u64 fastTenPow(u16 pow) {
    if (pow == 0) return 1;
    if (pow == 1) return 10;
    u64 tmp = fastTenPow(pow >> 1);
    return tmp * tmp * (pow % 2 ? 10 : 1);
}

u16 floorLogTen(u64 num) {
    u64 ret = 0;
    while (num >= 10) {
        ret++; num /= 10;
    }
    return ret;
}

u64 n, floorPower;
u16 logTen;

u64 magnAmount, inMagnAmount = 0;

u64 tmpN, tmpFP;

int main () {
    std::cin >> n;

    if (n < 10) {
        std::cout << n << std::endl;
        return 0;
    }

    // First limit: the limit of magnitudes

    // By a shitton of calculations, the num of combos up to this limit = 10^(max(x-1, 2-1)) - 1 + (x > 1 ? 9 : 0)

    logTen = floorLogTen(n);

    floorPower = fastTenPow(logTen);

    magnAmount = fastTenPow(std::max(logTen-1, 1)) - 1 + (logTen > 1 ? 9 : 0);

    if (floorPower == n) {
        std::cout << magnAmount << std::endl;
        return 0;
    }

    // The second limit is the leading digits
    // Full number length = logTen + 1
    // for 1 leading digit (and one last), it's leadDigit * 10^(len-2) aka leadDigit * 10^(logTen-1) aka leadDigit * floorPower/10
    // for the first leading digit there is one less combo due to no leading zeros

    tmpN = n - floorPower;
    tmpFP = floorPower;

    while (tmpN >= 10) {
        inMagnAmount += (tmpN / tmpFP) * (tmpFP / 10);
        tmpN %= tmpFP; tmpFP /= 10;
    }

    if (tmpN >= (n / floorPower)) inMagnAmount += 1;

    std::cout << inMagnAmount + magnAmount << std::endl;

}
