def solve_scales(n, weights):
    total_sum = sum(weights)
    if total_sum % 2 != 0:
        # Если сумма весов нечетная, уравнять невозможно
        return -1

    half_sum = total_sum // 2
    dp = [False] * (half_sum + 1)
    dp[0] = True

    for weight in weights:
        for j in range(half_sum, weight - 1, -1):
            dp[j] |= dp[j - weight]

    if not dp[half_sum]:
        # Если половина суммы недостижима, уравнять невозможно
        return -1

    # Ищем, какие гири участвуют
    result = []
    target = half_sum
    for i in range(n - 1, -1, -1):
        if target >= weights[i] and dp[target - weights[i]]:
            result.append(weights[i])
            target -= weights[i]

    # Гири, попавшие в одну половину
    return result


# Ввод данных
n = int(input())
weights = list(map(int, input().split()))

# Решение
result = solve_scales(n, weights)

# Вывод результата
if result == -1:
    print(-1)
else:
    print(len(result))
    print(*result)
