from itertools import combinations

def sieve_of_eratosthenes(n):
    
    primes = []
    limit = 1000  
    is_prime = [True] * (limit + 1)
    for num in range(2, limit + 1):
        if is_prime[num]:
            primes.append(num)
            for multiple in range(num * num, limit + 1, num):
                is_prime[multiple] = False
        if len(primes) >= n:
            break
    return primes[:n]

def find_beautiful_partition(primes):
    
    
    
    total_product = 1
    for prime in primes:
        total_product *= prime
    
    closest_a = 0
    closest_b = total_product
    
    for i in range(1, len(primes)//2 + 1):
        for combo in combinations(primes, i):
            a = 1
            for x in combo:
                a *= x
            b = total_product // a
            if a < b and (b - a) < (closest_b - closest_a):
                closest_a, closest_b = a, b
    
    return closest_a

n = int(input())
primes = sieve_of_eratosthenes(n)
result_a = find_beautiful_partition(primes)
print(result_a)