def prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate(n):
    min_lim = 10**(n-1)
    max_lim = 10**n
    primes = [num for num in range(min_lim, max_lim) if prime(num)]
    return primes

def count(n, k):
    primes = generate(n)

    similar_groups = {}

    for prime in primes:
        last_k_digits = str(prime)[-k:]  
        if last_k_digits not in similar_groups:
            similar_groups[last_k_digits] = []
        similar_groups[last_k_digits].append(prime)


    c = 0
    for group in similar_groups.values():
        m = len(group)
        if m > 1: 
            c += m * (m - 1) // 2  
    return c


n = int(input())
k = int(input())
result = count(n, k)
print(result)