
from itertools import combinations

def read_weights(file_path):
    with open(file_path, 'r') as file:
        weights = [int(line.strip()) for line in file]
    return weights

def find_balance(weights):
    n = len(weights)
    for i in range(1, n):
        for combo in combinations(weights, i):
            if sum(combo) == sum(weights) - sum(combo):
                return combo, [w for w in weights if w not in combo]
    return None

file_path = 'input.txt'  # Путь к файлу с весами
weights = read_weights(file_path)
result = find_balance(weights)

if result:
    print(*result[0],sep=" ")
    print(*result[1],sep=" ")
else:
    print(-1)