from itertools import combinations

def can_balance(weights):
    total_weight = sum(weights)
    
    # Если сумма гирь нечетная, уравновесить невозможно
    if total_weight % 2 != 0:
        return False
    
    # Половина общей массы
    half_weight = total_weight // 2
    
    # Проверим все возможные комбинации гирь, чтобы найти группу с весом, равным половине
    for r in range(1, len(weights)//2 + 1):
        for comb in combinations(weights, r):
            if sum(comb) == half_weight:
                return True
    
    return False

# Пример с гирями
weights = [1, 2, 3, 4]

if can_balance(weights):
    print("Весы можно уравновесить.")
else:
    print("Весы уравновесить невозможно.")
