def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes

def beautiful_partition(n):
    primes = generate_primes(n)
    A, B = [], []
    product_A, product_B = 1, 1
    
    primes.sort(reverse=True)
    
    for prime in primes:
        if product_A < product_B:
            A.append(prime)
            product_A *= prime
        else:
            B.append(prime)
            product_B *= prime
    
    if product_A >= product_B:
        A, B = B, A
        product_A, product_B = product_B, product_A

    return A, B, product_A, product_B

n = int(input())
A, B, product_A, product_B = beautiful_partition(n)

print(product_A)

