def can_partition(nums):
    total_sum = sum(nums)
    if total_sum % 2 != 0:
        return -1
    
    target = total_sum // 2
    n = len(nums)
    dp = [False] * (target + 1)
    dp[0] = True 
    
    for num in nums:
        for i in range(target, num - 1, -1):
            dp[i] = dp[i] or dp[i - num]
    
    if not dp[target]:
        return -1
    subset1 = []
    subset2 = []
    
    w = target
    for i in range(n - 1, -1, -1):
        if w >= nums[i] and dp[w - nums[i]]:
            subset1.append(nums[i])
            w -= nums[i]
        else:
            subset2.append(nums[i])
    
    return subset1, subset2


from sys import stdin
nums = []
for line in stdin:
    nums.append(int(line))
result = can_partition(nums)

if result == -1:
    print(-1)
else:
    subset1, subset2 = result
    print(' '.join(map(str, subset1)))
    print(' '.join(map(str, subset2)))
