from itertools import combinations

def read_weights(file_path):
    with open(file_path, 'r') as file:
        weights = [int(line.strip()) for line in file.readlines()]
    return weights

def find_balance(weights):
    total_weight = sum(weights)
    
    # Если общий вес нечетный, равновесие невозможно
    if total_weight % 2 != 0:
        return -1
    
    target_weight = total_weight // 2
    
    # Перебор всех возможных комбинаций гирь
    for r in range(1, len(weights) + 1):
        for combo in combinations(weights, r):
            if sum(combo) == target_weight:
                remaining_weights = weights.copy()
                for weight in combo:
                    remaining_weights.remove(weight)
                return combo, remaining_weights
                
    return -1

def main():
    file_path = 'weights.txt'  # Укажите путь к файлу с весами
    weights = read_weights(file_path)
    result = find_balance(weights)
    
    if result == -1:
        print(-1)
    else:
        group1, group2 = result
        print(' '.join(map(str, group1)))
        print(' '.join(map(str, group2)))

if __name__ == "__main__":
    main()
