def is_prost(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_prosts(n):
    prosts = []
    candidate = 2
    while len(prosts) < n:
        if is_prost(candidate):
            prosts.append(candidate)
        candidate += 1
    return prosts

def find_beautiful_partition(prosts):
    total_product = 1
    for prost in prosts:
        total_product *= prost

    min_difference = float('inf')
    best_a = 1

    def backtrack(index, current_product):
        nonlocal min_difference, best_a
        if index == len(prosts):
            if current_product < total_product // current_product:
                a = current_product
                b = total_product // current_product
                difference = b - a
                if difference < min_difference:
                    min_difference = difference
                    best_a = a
            return

        backtrack(index + 1, current_product * prosts[index])
        backtrack(index + 1, current_product)

    backtrack(0, 1)

    return best_a
n = int(input())
prosts = generate_prosts(n)
result = find_beautiful_partition(prosts)
print(result)
