def sieve_of_eratosthenes(n):
    limit = n * (n + 1)
    is_prime = [True] * (limit + 1)
    is_prime[0] = is_prime[1] = False
    for start in range(2, int(limit**0.5) + 1):
        if is_prime[start]:
            for multiple in range(start*start, limit + 1, start):
                is_prime[multiple] = False
    return [num for num, prime in enumerate(is_prime) if prime][:n]

def find_beautiful_partition(prosts):
    total_product = 1
    for prost in prosts:
        total_product *= prost

    min_difference = float('inf')
    best_a = 1
    num_primes = len(prosts)

    for mask in range(1 << num_primes):
        current_product = 1
        for i in range(num_primes):
            if mask & (1 << i):  # Если i-й бит установлен, добавляем простое число в A
                current_product *= prosts[i]

        if current_product < total_product // current_product:
            a = current_product
            b = total_product // current_product
            difference = b - a
            if difference < min_difference:
                min_difference = difference
                best_a = a

    return best_a

n = int(input())
prosts = sieve_of_eratosthenes(n)
result = find_beautiful_partition(prosts)
print(result)

