import math
from itertools import combinations

def generate_prosts(n):
    def is_prost(num):
        if num < 2:
            return False
        for i in range(2, int(math.sqrt(num)) + 1):
            if num % i == 0:
                return False
        return True

    return [num for num in range(2, 151) if is_prost(num)][:n]

def find(prosts):
    total_product = math.prod(prosts)
    min_difference = float('inf')
    best_a = 1

    n = len(prosts)
    for mask in range(1, 1 << n):
        current_product = 1
        for i in range(n):
            if mask & (1 << i):
                current_product *= prosts[i]
        if current_product < total_product // current_product:
            a = current_product
            b = total_product // current_product
            difference = abs(b - a)

            if difference < min_difference:
                min_difference = difference
                best_a = a

    return best_a

n = int(input())
prosts = generate_prosts(n)
result = find(prosts)
print(result)
