import math
from itertools import combinations


def prog(n):
    def is_prost(num):
        if num < 2:
            return False
        for i in range(2, int(math.sqrt(num)) + 1):
            if num % i == 0:
                return False
        return True

    return [num for num in range(2, 100000) if is_prost(num)][:n]


def find(prosts):
    total_product = math.prod(prosts)

    min_difference = float('inf')
    best_a = 1

    for r in range(1, len(prosts) + 1):
        for subset in combinations(prosts, r):
            current_product = math.prod(subset)
            if current_product < total_product // current_product:
                a = current_product
                b = total_product // current_product
                difference = b - a
                if difference < min_difference:
                    min_difference = difference
                    best_a = a

    return best_a


n = int(input())
prosts = prog(n)
result = find(prosts)
print(result)