from itertools import combinations
from math import prod


n = int(input())

primes = []
candidate = 2  
while len(primes) < n:
    is_prime = True
    for p in primes:
        if p * p > candidate:  
            break
        if candidate % p == 0:
            is_prime = False
            break
    if is_prime:
        primes.append(candidate)
    candidate += 1

total_primes = len(primes)
best_a = None
best_b = None
min_difference = float('inf')

for r in range(total_primes + 1):
    for group_a in combinations(primes, r):
            group_b = [p for p in primes if p not in group_a]
            a = prod(group_a) if group_a else 1
            b = prod(group_b) if group_b else 1
            
            if a < b:  
                difference = b - a
                if difference < min_difference:
                    min_difference = difference
                    best_a = a
                    best_b = b

print(best_a)
