import java.util.Scanner;

import static java.lang.Math.pow;

public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);

        long n = sc.nextLong();

        long[] digits = getNumbers(n);

        long similar = 0;
        for (int i = 0; i < digits.length; i++) {
            long temp1 = getSimilar(i + 1, n);
            long temp2 = digits[i];

            similar += (temp1 * temp2);
        }

        // Учитываем, что "похожие" числа включают само число
        similar += 1; // Добавляем 1 для самого числа

        System.out.println(similar);
    }

    public static long[] getNumbers(long num) {
        String numStr = Long.toString(num);
        long[] digits = new long[numStr.length()];

        for (int i = 0; i < numStr.length(); i++) {
            digits[i] = Character.getNumericValue(numStr.charAt(i));
        }

        return digits;
    }

    public static long getSimilar(long place, long num) {
        if (place == 1) {
            return 9;
        } else if (place == 0) {
            return 0;
        }

        // Получаем количество цифр в числе
        int length = Long.toString(num).length();

        // Если разряд меньше длины числа, возвращаем 9 * 10^(place - 1)
        if (place < length) {
            return 9 * (long) pow(10, place - 1);
        } else {
            // Если разряд равен длине числа, то считаем по-другому
            return (long) (9 * pow(10, place - 1));
        }
    }
}