from itertools import combinations

def balance_weights(weights):
    total_weight = sum(weights)

    if total_weight % 2 != 0:
        return -1

    half_weight = total_weight // 2

    for i in range(1, 4):
        for left_comb in combinations(weights, i):
            left_weight = sum(left_comb)
            if left_weight == half_weight:
                left_side = list(left_comb)
                right_side = [w for w in weights if w not in left_side]
                return left_side, right_side

    return -1

weights = [int(input().strip()) for _ in range(4)]

result = balance_weights(weights)

if result == -1:
    print(-1)
else:
    left_side, right_side = result
    print(" ".join(map(str, left_side)))
    print(" ".join(map(str, right_side)))