from itertools import combinations
from sympy import primerange

def beautiful_partition(n):
    primes = list(primerange(1, 200))[:n]
    total_product = 1
    for p in primes:
        total_product *= p
    
    best_a = float('inf')
    for size in range(len(primes) + 1):
        for subset in combinations(primes, size):
            a = 1
            for x in subset:
                a *= x
            b = total_product // a
            if a < b and b - a < total_product - 2 * best_a:
                best_a = a

    return best_a

n = int(input())
print(beautiful_partition(n))
