from sympy import primerange

def beautiful_partition(n):
    # Получаем первые n простых чисел
    primes = list(primerange(1, 200))[:n]
    total_product = 1
    for p in primes:
        total_product *= p
    
    # Множество для хранения всех достижимых произведений
    dp = {1}
    
    # Перебираем числа и обновляем множество достижимых произведений
    for prime in primes:
        new_dp = set()
        for prod in dp:
            new_prod = prod * prime
            if new_prod <= total_product // 2:  # Ограничиваем до половины
                new_dp.add(new_prod)
        dp.update(new_dp)
    
    # Ищем минимальное a
    best_a = max(dp)
    return best_a

# Ввод и вывод
n = int(input())
print(beautiful_partition(n))