from itertools import combinations
from math import prod

def generate_primes(n):
    primes = []
    num = 2
    while len(primes) < n:
        is_prime = all(num % p != 0 for p in primes)
        if is_prime:
            primes.append(num)
        num += 1
    return primes

def beautiful_partition(n):
    primes = generate_primes(n)
    total_product = prod(primes)
    min_diff = float('inf')
    result_a = None
    
    for i in range(len(primes) // 2 + 1):
        for subset in combinations(primes, i):
            a = prod(subset)
            b = total_product // a
            if a < b and b - a < min_diff:
                min_diff = b - a
                result_a = a
    return result_a

n = int(input())
print(beautiful_partition(n))