def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        is_prime = True
        for p in primes:
            if p * p > candidate:
                break
            if candidate % p == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(candidate)
        candidate += 1
    return primes

def beautiful_partition(n):
    primes = generate_primes(n)
    A = []
    B = []
    a = 1
    b = 1

    primes.sort(reverse=True)

    for prime in primes:
        if a < b:
            A.append(prime)
            a *= prime
        else:
            B.append(prime)
            b *= prime

    return min([a, b])

n = int(input())
result = beautiful_partition(n)
print(result)