#include <iostream>
#include <string>
#include <unordered_map>
#include <cmath>

using namespace std;

long long csp(int n, int k) {
    if (k >= n || k < 1 || n < 1) {
        return 0;
    }

    unordered_map<string, long long> sc;

    for (long long i = 0; i < pow(10, n); ++i) {
        string numStr = to_string(i);
        if (numStr.length() < n) {
          numStr = string(n - numStr.length(), '0') + numStr;
        }
        if (numStr[0] == '0') {
            continue;
        }
        string s = numStr.substr(n - k);
        sc[s]++;
    }

    long long totalPairs = 0;
    for (const auto& pair : sc) {
        long long count = pair.second;
        totalPairs += count * (count - 1) / 2;
    }

    return totalPairs;
}

int main() {
    int n, k;
    cin >> n >> k;
    cout << csp(n, k) << endl;
    return 0;
}