#include <iostream>
#include <unordered_map>
#include <string>
#include <cmath>

using namespace std;

long long csp(int n, int k) {
    if (k >= n || k < 1 || n < 1) {
        return 0;
    }

    long long totalPairs = 0;
    unordered_map<string, long long> lastKCounts;

    long long startRange = 1;
    long long endRange = 1;

    for (int i = 0; i < n - 1; ++i) {
        endRange *= 10;
    }

    for (long long lastK = 0; lastK < pow(10, k); ++lastK) {
        string lastKStr = to_string(lastK);
        while (lastKStr.length() < k) {
            lastKStr = '0' + lastKStr;
        }

        for (long long firstPart = startRange; firstPart < endRange; ++firstPart) {
            string fullNum = to_string(firstPart) + lastKStr;
            if (fullNum.length() == n) {
                lastKCounts[lastKStr]++;
            }
        }
    }

    for (const auto& pair : lastKCounts) {
        long long count = pair.second;
        totalPairs += count * (count - 1) / 2;
    }

    return totalPairs;
}

int main() {
    int n, k;
    cin >> n >> k;
    cout << csp(n, k) << endl;
    return 0;
}