import math

def sieve_of_eratosthenes(n):

    primes = []
    is_prime = [True] * (n + 1)
    is_prime[0] = is_prime[1] = False
    for p in range(2, int(n**0.5) + 1):
        if is_prime[p]:
            for i in range(p * p, n + 1, p):
                is_prime[i] = False
    for p in range(2, n + 1):
        if is_prime[p]:
            primes.append(p)
    return primes

def find_beautiful_partition_greedy(n):
    primes = sieve_of_eratosthenes(1000)[:n]
    a_prod = 1
    b_prod = 1
    set_a = []
    set_b = []

    for p in primes:
      if a_prod < b_prod:
        a_prod *= p
        set_a.append(p)
      else:
        b_prod *= p
        set_b.append(p)


    if not set_a:
      return -1
    else:
      return a_prod
n = int(input())
result = find_beautiful_partition_greedy(n) * 2
print(f"{result}")
