

def check_if_fast_increase(sequence):
    for index in range(len(sequence) - 2):
        if sequence[index + 2] - sequence[index + 1] <= sequence[index + 1] - sequence[index]:
            return False
    return True

def get_all_partitions(number):
    results = []

    def generate_partitions(start_value, remaining_sum, current_sequence):
        if remaining_sum == 0:
            if check_if_fast_increase(current_sequence):
                results.append(current_sequence)
            return
        
        for value in range(start_value, remaining_sum + 1):
            generate_partitions(value + 1, remaining_sum - value, current_sequence + [value])

    generate_partitions(1, number, [])
    return results

def main():
    input_number = int(input())
    partitions = get_all_partitions(input_number)
    for part in partitions:
        print(" + ".join(map(str, part)))

if __name__ == "__main__":
    main()
