
from itertools import combinations
from math import prod

def is_prime_number(number):
    if number < 2:
        return False
    for divisor in range(2, int(number**0.5) + 1):
        if number % divisor == 0:
            return False
    return True

def generate_prime_list(target_count):
    prime_numbers = []
    candidate = 2
    while len(prime_numbers) < target_count:
        if is_prime_number(candidate):
            prime_numbers.append(candidate)
        candidate += 1
    return prime_numbers

def find_best_partition(prime_list):
    total_multiplication_result = prod(prime_list)
    list_length = len(prime_list)
    smallest_difference = float('inf')
    best_sublist = None

    
    for subset_size in range(1, list_length): 
        for subset in combinations(prime_list, subset_size):
            subproduct = prod(subset)
            other_product = total_multiplication_result // subproduct
            
            if subproduct < other_product:
                difference = other_product - subproduct
                if difference < smallest_difference:
                    smallest_difference = difference
                    best_sublist = subset

    return best_sublist

number_of_primes = int(input().strip())
prime_list = generate_prime_list(number_of_primes)
best_sublist = find_best_partition(prime_list)
if best_sublist:
    print(prod(best_sublist))
else:
    print("Нет подходящего разбиения")
