def find_balance(weights):
    n = len( weights )
    total_weight = sum( weights )
    if total_weight % 2 != 0:
        return -1  

    target_weight = total_weight // 2
    for i in range( 1 << n ):
        left = []
        right = []
        left_weight = 0
        right_weight = 0

        for j in range( n ):
            if i & (1 << j):  
                left.append( weights[j] )
                left_weight += weights[j]
            else:  
                right.append( weights[j] )
                right_weight += weights[j]

        if left_weight == right_weight:
            return left, right

    return -1



weights = []
for _ in range( 4 ):
    weights.append( int( input().strip() ) )

result = find_balance( weights )

if result == -1:
    print( -1 )
else:
    left, right = result
    print( " ".join( map( str, left ) ) )
    print( " ".join( map( str, right ) ) )
