def generate_primes(n):
    primes = []
    candidate = 25
    while len(primes) < n:
        is_prime = True
        for p in primes:
            if p * p > candidate:
                break
            if candidate % p == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(candidate)
        candidate += 1
    return primes


def find_beautiful_partition(n):
    primes = generate_primes(n)
    total_primes = len(primes)
    min_diff = float('inf')
    best_a = 1
    for mask in range(1 << total_primes):
        a, b = 1, 1
        for i in range(total_primes):
            if mask & (1 << i):
                a *= primes[i]
            else:
                b *= primes[i]

        if a < b:
            diff = b - a
            if diff < min_diff:
                min_diff = diff
                best_a = a

    return best_a

n = int(input())
result = find_beautiful_partition(n)
print(result)
