import itertools
import math

def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        is_prime = all(candidate % p != 0 for p in primes)
        if is_prime:
            primes.append(candidate)
        candidate += 1
    return primes


def beautiful_partition(primes):
    total_product = math.prod(primes)
    n = len(primes)
    best_a = None
    min_difference = float('inf')

    for r in range(1, n):
        for subset in itertools.combinations(primes, r):
            product_a = math.prod(subset)
            product_b = total_product // product_a
            if product_a < product_b and (product_b - product_a) < min_difference:
                best_a = product_a
                min_difference = product_b - product_a

    return best_a


n = int(input("Введите n: "))


primes = generate_primes(n)


beautiful_a = beautiful_partition(primes)


print(beautiful_a)
