def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes

def find_beautiful_partition(n):
    primes = generate_primes(n)
    total = 1
    for prime in primes:
        total *= prime

    closest_diff = float('inf')
    best_a = 1


    for mask in range(1 << n):
        a = 1
        b = 1
        for i in range(n):
            if mask & (1 << i):
                a *= primes[i]
            else:
                b *= primes[i]
        
        
        if a < b:
            diff = b - a
            if diff < closest_diff:
                closest_diff = diff
                best_a = a

    return best_a


n = int(input())
result = find_beautiful_partition(n)
print(result)

