def backtrack(n, start, path, result):
    # Если сумма текущего пути равна n, добавляем к результату
    if n == 0:
        result.append(path)
        return
 
    # Итерируем от start до n
    for i in range(start, n + 1):
        # Проверка для быстрого возрастающего разбиения
        if len(path) >= 2:
            if not (path[-1] - path[-2] <= i - path[-1]):
                continue
 
        # Рекурсивный вызов с уменьшающимся n и новым путем с добавленным i
        backtrack(n - i, i + 1, path + [i], result)
 
def fast_increasing_partitions(n):
    result = []
    backtrack(n, 1, [], result)
    return result
 
n = int(input().strip())  # Ввод числа n
partitions = fast_increasing_partitions(n)
 
# Вывод всех быстрых разбиений
for p in partitions:
    print('+'.join(map(str, p)))