def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True

def first_n_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes

def beautiful_partition(n):
    primes = first_n_primes(n)
    total_product = 1
    for prime in primes:
        total_product *= prime

    best_a = 1
    best_b = total_product
    min_diff = total_product - 1

    for mask in range(1, 1 << n):
        a_product = 1
        for i in range(n):
            if mask & (1 << i):
                a_product *= primes[i]

        b_product = total_product // a_product
        if a_product < b_product:
            diff = b_product - a_product
            if diff < min_diff:
                min_diff = diff
                best_a = a_product
                best_b = b_product

    return best_a

n = int(input().strip())
print(beautiful_partition(n))