from itertools import combinations


def weight_balance(weights):
    total_weight = sum(weights)

    if total_weight % 2 != 0:
        return -1

    target_weight = total_weight // 2
    n = len(weights)

    for r in range(1, n + 1):
        for left_weights in combinations(weights, r):
            if sum(left_weights) == target_weight:
                left_set = set(left_weights)
                right_weights = [w for w in weights if w not in left_set or left_set.remove(w)]

                return (left_weights, tuple(right_weights))

    return -1


weigths_input = [int(input()) for _ in range(4)]
result = weight_balance(weigths_input)

if result == -1:
    print(-1)
else:
    left, right = result
    print(" ".join(map(str, left)))
    print(" ".join(map(str, right)))