def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def get_primes(n):
    primes = []
    num = 2
    while len(primes) < n:
        if is_prime(num):
            primes.append(num)
        num += 1
    return primes

def best(n):
    primes = get_primes(n)
    min_diff = float('inf')
    result_a = 0

    for i in range(1, 2**n):
        a = 1
        b = 1
        for j in range(n):
            if i & (1 << j):
                a *= primes[j]
            else:
                b *= primes[j]
        
        diff = abs(b - a)
        if diff < min_diff:
            min_diff = diff
            result_a = a
    
    return result_a

n = int(input())
result = best(n)
print(result)
