def is_fast_growing(partition):
    diffs = [partition[i + 1] - partition[i] for i in range(len(partition) - 1)]
    for i in range(len(diffs) - 1):
        if diffs[i + 1] <= diffs[i]:
            return False
    return True


def find_fast_growing_partitions(n):

    partitions = []

    def backtrack(current_partition, remaining_sum, start_value):
        if remaining_sum == 0:
            partitions.append(current_partition)
            return

        for i in range(start_value, remaining_sum + 1):
            new_partition = current_partition + [i]
            if not current_partition or i > current_partition[-1]:
                backtrack(new_partition, remaining_sum - i, i + 1)

    backtrack([], n, 1)

    fast_growing_partitions = [p for p in partitions if is_fast_growing(p)]
    return fast_growing_partitions


n = int(input())
result = find_fast_growing_partitions(n)

for partition in result:
    print(*partition, sep="+")