def sieve_of_eratosthenes(n):
    primes = []
    is_prime = [True] * (n + 1)
    for p in range(2, n + 1):
        if is_prime[p]:
            primes.append(p)
            for multiple in range(p * p, n + 1, p):
                is_prime[multiple] = False
    return primes
def beautiful_partition(n):
    primes = sieve_of_eratosthenes(200)[:n]
    best_a = None
    best_b = None
    min_difference = float('inf')
    from itertools import combinations
    for r in range(1, len(primes)):
        for combo in combinations(primes, r):
            A = list(combo)
            B = [p for p in primes if p not in A]
            product_A = prod(A)
            product_B = prod(B)

            if product_A < product_B:
                difference = product_B - product_A
                if difference < min_difference:
                    min_difference = difference
                    best_a = product_A
                    best_b = product_B
    return best_a
def prod(lst):
    result = 1
    for number in lst:
        result *= number
    return result
n = int(input())
if 1 <= n <= 30:
    result_a = beautiful_partition(n)
    if n==1:
        print('0')
    else:
        print(result_a)
