#include <iostream>
#include <string>
#include <algorithm>
#include <vector>
#include <array>
#include <cmath>

typedef int INT;
typedef double DBL;
typedef unsigned int UINT;
typedef char CHAR;
typedef void VOID;

using namespace std;

uint64_t TaskDRekSolver( uint64_t N )
{
  if (N < 10)
    return N;

  uint64_t NearestPower = (uint64_t)pow(10, (uint64_t)log10(N));
  uint64_t FirstN = N / NearestPower;

  uint64_t Cont = N % NearestPower;// - N % 10;
  
  uint64_t Inner = (Cont - N % 10) / 10;
                                        
  uint64_t ans = FirstN * (Inner + 1);

  if (Cont == 0)
    ans = 0;

  return ans + TaskDRekSolver(NearestPower - 1);
}

VOID TaskD( VOID )
{
  uint64_t Num;

  cin >> Num;

  cout << TaskDRekSolver(Num);
}

INT main( VOID )
{
  TaskD();

  return 0;
}               