#include <iostream>
#include <string>
#include <algorithm>
#include <vector>
#include <array>
#include <cmath>
//#include <math.h>

typedef int INT;
typedef double DBL;
typedef unsigned int UINT;
typedef char CHAR;
typedef void VOID;

using namespace std;

uint64_t DigitCount( uint64_t N, INT MaxDigits = 19 )
{
  uint64_t Cur = N;
  INT ans = 0;
  INT quest;
  bool IsZeroLeading = false;

  for (INT i = 0; i < MaxDigits; i++)
  {
    INT Num = Cur % 10;

    if (IsZeroLeading == false)
      if (Num != 0)
        ans++;
      else
        IsZeroLeading = true, quest = 1;
    else
      if (Num == 0)
        quest++;
      else
        IsZeroLeading = false, ans += quest + 1;

    Cur /= 10;
  }

  return ans;
}

uint64_t TaskDRekSolver( uint64_t N )
{
  if (N < 10)
    return N;

  uint64_t Power = DigitCount(N) - 1;
  uint64_t NearestPower = (uint64_t)pow(10ui64, Power);   

  uint64_t FirstN = N / NearestPower;

  uint64_t Cont = N % NearestPower;// - N % 10;
  
  uint64_t Inner = (Cont - N % 10) / 10;
                                        
  uint64_t ans = FirstN * (Inner + 1);

  if (Inner == 0 && N % 10 < FirstN)
    ans--;

  return ans + TaskDRekSolver(NearestPower - 1);
}

VOID TaskD( VOID )
{
  uint64_t Num;

  cin >> Num;

  cout << TaskDRekSolver(Num);
}

INT main( VOID )
{
  TaskD();

  return 0;
}               