#include <iostream>
#include <string>
#include <algorithm>
#include <vector>
#include <array>
#include <cmath>
//#include <math.h>

typedef int INT;
typedef double DBL;
typedef unsigned int UINT;
typedef char CHAR;
typedef void VOID;

using namespace std;

int64_t DigitCount( int64_t N, INT MaxDigits = 19 )
{
  int64_t Cur = N;
  INT ans = 0;
  INT quest;
  bool IsZeroLeading = false;

  for (INT i = 0; i < MaxDigits; i++)
  {
    INT Num = Cur % 10;

    if (IsZeroLeading == false)
      if (Num != 0)
        ans++;
      else
        IsZeroLeading = true, quest = 1;
    else
      if (Num == 0)
        quest++;
      else
        IsZeroLeading = false, ans += quest + 1;

    Cur /= 10;
  }

  return ans;
}

int64_t TaskDRekSolver( int64_t N )
{
  if (N < 10)
    return N;

  int64_t Power = DigitCount(N) - 1;
  int64_t NearestPower = (int64_t)pow(10ui64, Power);   

  int64_t FirstN = N / NearestPower;

  int64_t Cont = N % NearestPower;// - N % 10;
  
  int64_t Inner = (Cont - N % 10) / 10;

  if (N % 10 < FirstN)
    Inner--;

  int64_t ans = FirstN * (Inner + 1 + ((NearestPower) / 10 - 1) * (FirstN - 1));

  /*if (Inner == 0)
    ans--;*/

  return ans + TaskDRekSolver(NearestPower - 1);
}

VOID TaskD( VOID )
{
  int64_t Num;

  cin >> Num;

  cout << TaskDRekSolver(Num);
}

INT main( VOID )
{
  TaskD();

  return 0;
}               