from functools import reduce
from operator import mul
from math import ceil

primes = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113]  
primes_set = set(primes)

def factorize(n, nums, nums_set):
    if n in nums_set:
        return [n]

    result = set()

    i = 0

    while n != 1 and i < len(nums) and (n in nums_set if n in primes_set else True):
        if n % (nums[i] ** 2) == 0:
            return False
        
        elif n % nums[i] == 0:
            result.add(nums[i])
            n //= nums[i]

        i += 1
    
    if n in nums_set or n == 1:
        return result
    else:
        return False

def solution(n):
    nums = primes[:n]
    nums_set = set(nums)

    expected = ceil(reduce(mul, nums) ** 0.5)

    while True:
        factorized_expected = factorize(expected, nums, nums_set)
        
        if factorized_expected:
            return reduce(mul, [i for i in nums if i not in factorized_expected])
        
        expected += 1

print(solution(int(input())))