from functools import reduce
from operator import mul
from math import ceil

primes = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113]  
primes_set = set(primes)

def solution(n):
    nums = primes[:n]
    nums_set = set(nums)

    expected = ceil(reduce(mul, nums) ** 0.5)

    def factorize(n):
        if n in nums_set:
            return [n]
        
        result = []

        i = 0
        while i < len(nums) and n ** 0.5 >= nums[i]:
            if n % nums[i] == 0:
                result.append(nums[i])
                n //= nums[i]

                if n % nums[i] == 0:
                    return False
            
            i += 1
        
        if n in primes_set and not n in nums_set:
            return False
        else:
            return result + [n]

    while True:
        factorized_expected = factorize(expected)
        
        if factorized_expected:
            return reduce(mul, [i for i in nums if i not in factorized_expected])
        
        expected += 1

print(solution(int(input())))