def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        is_prime = True
        for p in primes:
            if p * p > candidate:
                break
            if candidate % p == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(candidate)
        candidate += 1
    return primes

def beautiful_partition(n):
    primes = generate_primes(n)
    total_product = 1
    for prime in primes:
        total_product *= prime

    dp = {1: 0} 
    for prime in primes:
        new_dp = dp.copy()
        for product in dp:
            new_product = product * prime
            if new_product not in new_dp:
                new_dp[new_product] = dp[product] + prime
            else:
                new_dp[new_product] = min(new_dp[new_product], dp[product] + prime)
        dp = new_dp

    min_diff = float('inf')
    best_a = 1
    for a in dp:
        b = total_product // a
        if a < b:
            diff = b - a
            if diff < min_diff:
                min_diff = diff
                best_a = a

    return best_a

n = int(input().strip())
result = beautiful_partition(n)
print(result)
