def is_fast_increasing(partition):
    if len(partition) < 3:
        return True
    for i in range(len(partition) - 2):
        if partition[i + 2] - partition[i + 1] <= partition[i + 1] - partition[i]:
            return False
    return True


def find_fast_increasing_partitions(n):
    partitions = []

    def generate_partitions(current_sum, current_partition, start_num):
        if current_sum == n:
            if is_fast_increasing(current_partition):
                partitions.append(current_partition.copy())
            return

        if current_sum > n:
            return

        for i in range(start_num, n + 1):
            current_partition.append(i)
            generate_partitions(current_sum + i, current_partition, i + 1)
            current_partition.pop()

    generate_partitions(0, [], 1)
    return partitions


n = int(input())
partitions = find_fast_increasing_partitions(n)

for partition in partitions:
    print("+".join(map(str, partition)))

