def sieve(n):
    primes = []
    is_prime = [True] * (n + 1)
    is_prime[0] = is_prime[1] = False
    for p in range(2, n + 1):
        if is_prime[p]:
            primes.append(p)
            for i in range(p * p, n + 1, p):
                is_prime[i] = False
    return primes


def solve():
    n = int(input())
    primes = sieve(100)
    primes = primes[:n]

    min_diff = float('inf')
    best_a = -1

    for i in range(1 << n):
        a_primes = []
        b_primes = []
        for j in range(n):
            if (i >> j) & 1:
                a_primes.append(primes[j])
            else:
                b_primes.append(primes[j])

        a = 1
        for p in a_primes:
            a *= p
        b = 1
        for p in b_primes:
            b *= p

        if a < b:
            diff = b - a
            if diff < min_diff:
                min_diff = diff
                best_a = a

    print(best_a)

solve()
