def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True


def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes


def min_product_partition(primes):
    total_product = 1
    for p in primes:
        total_product *= p

    n = len(primes)
    half_sum = total_product // 2

    dp = [False] * (half_sum + 1)
    dp[0] = True

    for prime in primes:
        for j in range(half_sum, prime - 1, -1):
            if dp[j - prime]:
                dp[j] = True

    for j in range(half_sum, -1, -1):
        if dp[j]:
            group_a_product = j
            break

    group_b_product = total_product 
    return min(group_a_product, group_b_product)


n = int(input())
primes = generate_primes(n)
result = min_product_partition(primes)
print(result)
