from itertools import permutations


def count_distinct_pairs(n, k):
    # Список цифр, которые можно использовать
    digits = [str(i) for i in range(k)]

    # Множество для хранения уникальных чисел
    unique_numbers = set()

    # Генерируем все возможные перестановки из n цифр
    for perm in permutations(digits, n):
        # Убираем ведущие нули
        if perm[0] != '0':
            unique_numbers.add(tuple(perm))

    # Количество уникальных чисел
    unique_numbers = list(unique_numbers)

    # Количество пар (a, b), где a != b
    return len(unique_numbers) * (len(unique_numbers) - 1) // 2


# Чтение входных данных
n = int(input())
k = int(input())

# Вывод результата
print(count_distinct_pairs(n, k))