def sieve_of_eratosthenes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        is_prime = True
        for p in primes:
            if p * p > candidate:
                break
            if candidate % p == 0:
                is_prime = False
                break
        if is_prime:
            primes.append(candidate)
        candidate += 1
    return primes


def beautiful_partition(n):
    primes = sieve_of_eratosthenes(n)
    total_product = 1
    for prime in primes:
        total_product *= prime

    best_a = 1
    best_difference = float('inf')

    # Перебираем все возможные разбиения
    for mask in range(1 << n):
        a = 1
        b = 1

        for i in range(n):
            if mask & (1 << i):  # Если i-й бит установлен, добавляем в A
                a *= primes[i]
            else:  # Иначе добавляем в B
                b *= primes[i]

        if a < b:
            difference = b - a
            if difference < best_difference:
                best_difference = difference
                best_a = a

    return best_a


# Чтение входных данных
n = int(input().strip())
result = beautiful_partition(n)
print(result)
