#include <iostream>
#include <vector>
#include <numeric>
#include <algorithm>

using namespace std;

bool findPartition(const vector<int>& nums, vector<int>& subset1, vector<int>& subset2, int target, int index) {
    // Если достигли целевой суммы
    if (target == 0) {
        return true;
    }
    
    // Если перебрали все элементы
    if (index >= nums.size() || target < 0) {
        return false;
    }
    
    // Включаем текущий элемент в первую часть
    subset1.push_back(nums[index]);
    if (findPartition(nums, subset1, subset2, target - nums[index], index + 1)) {
        return true;
    }
    
    // Если не сработало, удаляем элемент и пробуем во второй части
    subset1.pop_back();
    return findPartition(nums, subset1, subset2, target, index + 1);
}

bool canPartition(const vector<int>& nums, vector<int>& subset1, vector<int>& subset2) {
    int sum = accumulate(nums.begin(), nums.end(), 0);
    if (sum % 2 != 0) return false; // Если сумма нечетная, делить нельзя
    
    int target = sum / 2;
    return findPartition(nums, subset1, subset2, target, 0);
}

int main() {
    vector<int> nums(4);
    
    cout << "Введите 4 числа: ";
    for (int i = 0; i < 4; ++i) {
        cin >> nums[i];
    }
    
    vector<int> subset1;
    vector<int> subset2;
    
    if (canPartition(nums, subset1, subset2)) {
        
        for (int num : subset1) {
            cout << num << " ";
        }
        cout << endl;
        
        
        for (int num : subset2) {
            cout << num << " ";
        }
        cout << endl;
    } else {
        cout << "-1" << endl;
    }

    return 0;
}