#include <iostream>
#include <vector>

using namespace std;

// Рекурсивная функция для нахождения всех быстро возрастающих разбиений
void findIncreasingPartitions(int n, int start, vector<int>& partition) {
    // Если n равно 0, значит, нашли одно из разбиений
    if (n == 0) {
        // Печатаем текущее разбиение
        for (int num : partition) {
            
            cout << num << "+";
        }
        cout << endl;
        return;
    }

    // Идем по числам от start до n
    for (int i = start; i <= n; ++i) {
        partition.push_back(i); // Добавляем число в разбиение
        findIncreasingPartitions(n - i, i + 1, partition); // Продолжаем разбиение, начиная с i + 1
        partition.pop_back(); // Убираем последнее число для получения других разбиений
    }
}

int main() {
    int n;
    cout << "Введите число (n): ";
    cin >> n;

    cout << "Быстро возрастающее разбиение числа " << n << ":\n";
    vector<int> partition;
    findIncreasingPartitions(n, 1, partition); // Начинаем поиск разбиений с 1

    return 0;
}