from itertools import combinations


def balance_weights(weights):
    total_weight = sum(weights)
    if total_weight % 2 != 0:
        return -1  # Невозможно сбалансировать

    target_weight = total_weight // 2

    # Проверяем все возможные комбинации
    n = len(weights)
    for r in range(1, n + 1):
        for combo in combinations(weights, r):
            if sum(combo) == target_weight:
                left = list(combo)
                right = weights.copy()
                for weight in left:
                    right.remove(weight)
                return left, right  # Возвращает найденное уравновешивание

    return -1  # Если не найдено уравновешивания


# Пример использования
weights = [int(input()) for _ in range(4)]
result = balance_weights(weights)
if result == -1:
    print(-1)
else:
    left, right = result
    print(" ".join(map(str, left)))
    print(" ".join(map(str, right)))
