def chaotic_partitions(n):
    results = []

    def backtrack(remaining, start, current_partition):
        if remaining == 0:
            # Check if the current partition is chaotic
            if is_chaotic(current_partition):
                results.append(current_partition.copy())
            return

        for num in range(start, remaining + 1):
            current_partition.append(num)
            backtrack(remaining - num, num + 1, current_partition)
            current_partition.pop()

    def is_chaotic(partition):
        k = len(partition)
        for i in range(k - 2):
            if partition[i + 1] == (partition[i] + partition[i + 2]) / 2:
                return False
        return True

    backtrack(n, 1, [])
    return results


def main():
    n = int(input().strip())
    partitions = chaotic_partitions(n)
    for partition in partitions:
        print("+".join(map(str, partition)))


if __name__ == "__main__":
    main()