def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True


def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes


def find_beautiful_partition(n):
    primes = generate_primes(n)
    results = []
    
    def get_partitions(index, set_A, set_B):
        if index == len(primes):

            product_A = 1
            product_B = 1

            for num in set_A:
                product_A *= num

            for num in set_B:
                if num > 0:
                    product_B *= num

            # Проверяем, что a < b
            if product_A < product_B:
                results.append((product_A, product_B))
            return

        get_partitions(index + 1, set_A + [primes[index]], set_B)

        get_partitions(index + 1, set_A, set_B + [primes[index]])

    get_partitions(0, [], [])

    best_a = None
    best_b = None
    best_diff = float('inf')

    for a, b in results:
        if b - a < best_diff:
            best_diff = b - a
            best_a = a
            best_b = b

    return best_a


# Вход
n = int(input("Введите n: "))
result = find_beautiful_partition(n)
print(result)
