def count_valid_numbers(number_str):
    from functools import lru_cache
    length = len(number_str)

    @lru_cache(None)
    def dp(position, is_tight, is_leading_zero, last_digit):
        if position == length:
            return 0

        total_count = 0
        current_limit = int(number_str[position]) if is_tight else 9

        for digit in range(0, current_limit + 1):
            new_is_tight = is_tight and (digit == current_limit)
            new_is_leading_zero = is_leading_zero and (digit == 0)

            if new_is_leading_zero:
                new_last_digit = 0
            elif is_leading_zero:
                new_last_digit = digit
            else:
                new_last_digit = last_digit

            if position == length - 1:
                if not new_is_leading_zero and new_last_digit == digit:
                    total_count += 1
            else:
                total_count += dp(position + 1, new_is_tight, new_is_leading_zero, new_last_digit)

        return total_count

    return dp(0, True, True, 0)

n = input().strip()
print(count_valid_numbers(n))