def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes

def beautiful_partition(n):
    primes = generate_primes(n)
    a, b = [], []
    product_a = 1
    product_b = 1

    # Начнем с самой большой простой и будем распределять
    for prime in sorted(primes, reverse=True):
        if product_a > product_b:
            b.append(prime)
            product_b *= prime
        else:
            a.append(prime)
            product_a *= prime

    return product_a

n = int(input())
result = beautiful_partition(n)
print(result)
