#include <iostream>
#include <vector>
#include <string>

using namespace std;

bool fast_f(const vector<int>& partition) {
    for (size_t i = 2; i < partition.size(); ++i) {
        if (partition[i] - partition[i - 1] <= partition[i - 1] - partition[i - 2]) {
            return false;
        }
    }
    return true;
}

void find_partitions(int n, int start, vector<int>& current_partition, vector<string>& results) {
    if (n == 0) {
        if (fast_f(current_partition)) {
            string result;
            for (size_t i = 0; i < current_partition.size(); ++i) {
                if (i > 0) result += "+";
                result += to_string(current_partition[i]);
            }
            results.push_back(result);
        }
        return;
    }

    for (int i = start; i <= n; ++i) {
        current_partition.push_back(i);
        find_partitions(n - i, i + 1, current_partition, results);
        current_partition.pop_back();
    }
}

int main() {
    int n;
    cout << "";
    cin >> n;

    vector<string> results;
    vector<int> current_partition;

    find_partitions(n, 1, current_partition, results);

    for (const auto& result : results) {
        cout << result << endl;
    }
    return 0;
}
