n = int(input().strip())

def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_primes(n):
    primes = []
    candidate = 2
    
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes

def beautiful_partition(n):
    primes = generate_primes(n)
    total_primes = len(primes)

    best_a = None
    best_diff = float('inf')

    for mask in range(1 << total_primes):
        a_product = 1
        b_product = 1
        a_count = 0
        b_count = 0
        for i in range(total_primes):
            if mask & (1 << i):
                a_product *= primes[i]
                a_count += 1
            else:
                b_product *= primes[i]
                b_count += 1

        if a_count > 0 and b_count > 0 and a_product < b_product:
            diff = b_product - a_product
            if diff < best_diff:
                best_diff = diff
                best_a = a_product
    return best_a

result = beautiful_partition(n)
print(result)
