def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True


def generate_primes(n):
    primes = []
    candidate = 2
    while len(primes) < n:
        if is_prime(candidate):
            primes.append(candidate)
        candidate += 1
    return primes


def beautiful_partition(primes):
    total_prod = 1
    for prime in primes:
        total_prod *= prime

    target = total_prod // 2
    n = len(primes)


    possible_products = {1}

    for prime in primes:
        new_products = set()
        for p in possible_products:
            new_product = p * prime
            if new_product <= total_prod:
                new_products.add(new_product)

        possible_products.update(new_products)


    closest_a = None
    for p in possible_products:
        if p < target:
            if closest_a is None or abs(total_prod - 2 * p) < abs(total_prod - 2 * closest_a):
                closest_a = p

    return closest_a


n = int(input().strip())
primes = generate_primes(n)
result = beautiful_partition(primes)
print(result)