﻿// МУНИК А.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.



#include <vector>
#include <algorithm>
#include <iostream>
#include <string>
using namespace std;
//find char in string


typedef double db;

int L;

struct r {

	db x;
	db y;

	r() {}

	r(db a, db b) { x = a; y = b; }

	double len() {
		return hypot(x, y);
	}

	db dist(r a) {
		return sqrt(pow(a.x - x, 2) + pow(a.y - y, 2));
	}


	r operator+ (r a) {
		r r1(a.x + x, a.y + y);
		return r1;
	}

	bool operator== (r a) {
		return (x == a.x and y == a.y);
	}

	r operator- (r a) {
		r r1(-a.x + x, -a.y + y);
		return r1;
	}

	db operator* (r a) {
		return a.x * x + a.y * y;
	}

	r operator*(db a) {
		r r1(x * a, y * a);
		return r1;
	}


};

struct line {

	db a;
	db b;
	db c;

	line() {}

	line(db x1, db y1, db x2, db y2) {
		a = y2 - y1;
		b = x1 - x2;
		c = x2 * y1 - y2 * x1;
	}

	line(r n, r m) {
		a = m.y - n.y;
		b = n.x - m.x;
		c = m.x * n.y - m.y * n.x;
	}
	line(db a1, db b1, db c1) {
		a = a1;
		b = b1;
		c = c1;
	}

	db hight(db x0, db y0) {

		return (a * x0 + b * y0 + c) / sqrt(a * a + b * b);

	}

	db hight(r r0) {

		db x0 = r0.x;
		db y0 = r0.y;

		return (a * x0 + b * y0 + c) / sqrt(a * a + b * b);

	}

	bool operator||(line l2) {
		return (a * l2.b - b * l2.a == 0);
	}

	bool operator==(line l) {
		return a * l.b - b * l.a == 0 and abs(l.c) == abs(c);
	}

	r operator^(line l1) {

		r r1((b * l1.c - l1.b * c) / (a * l1.b - b * l1.a), (l1.a * c - l1.c * a) / (a * l1.b - b * l1.a));

		return r1;

	}
};


ostream& operator<<(ostream& o, r a) {
	o << a.x << " " << a.y << endl;
	return o;
}

struct triangle {

	r r1;
	r r2;
	r r3;




	triangle() {}

	triangle(r ra, r rb, r rc) {
		r1 = ra;
		r2 = rb;
		r3 = rc;

	}

	triangle(db x1, db y1, db x2, db y2, db x3, db y3) {

		r1 = r(x1, y1);
		r2 = r(x2, y2);
		r3 = r(x3, y3);


	}


	db square() {
		return 0.5 * (r1.x * r2.y - r1.y * r2.x + r2.x * r3.y - r3.x * r2.y + r3.x * r1.y - r1.x * r3.y)
			;
	}

	line hight(r ra) {

		if (ra == r3) {

			line h3(r2.x - r1.x, r2.y - r1.y, r3.x * (r1.x - r2.x) + r3.y * (r1.y - r2.y));

			return h3;
		}
		if (ra == r2) {

			line h2(r3.x - r1.x, r3.y - r1.y, r2.x * (r1.x - r3.x) + r2.y * (r1.y - r3.y));

			return h2;
		}
		if (ra == r1) {

			line h1(r2.x - r3.x, r2.y - r3.y, r1.x * (r3.x - r2.x) + r1.y * (r3.y - r2.y));



			return h1;

		}

	}

	r orthocenter() {

		line h3(r2.x - r1.x, r2.y - r1.y, r3.x * (r1.x - r2.x) + r3.y * (r1.y - r2.y));
		line h1(r2.x - r3.x, r2.y - r3.y, r1.x * (r3.x - r2.x) + r1.y * (r3.y - r2.y));

		return h3 ^ h1;
	}


};


struct ray
{
	r r1;
	r r2;

	ray() {}
	ray(db x1, db y1, db x2, db y2) {
		r1.x = x1;
		r1.y = y1;
		r2.x = x2;
		r2.y = y2;
	}
	ray(r r3, r r4) {
		r1 = r3;
		r2 = r4;
	}


};





istream& operator>> (istream& i, r& a) {
	i >> a.x >> a.y;
	return i;
}


ostream& operator<< (ostream& o, line l) {
	o << l.a << " " << l.b << " " << l.c << endl;
	return o;
}


istream& operator>> (istream& i, vector<r>& p) {
	for (auto& x : p) {
		i >> x;
	}
	return i;
}

ostream& operator<<(ostream& o, vector<r>& a) {
	for (auto& x : a) {
		o << x << endl;
	}
	return o;

}

vector<r> tangent(r p0, db R, r p1) {

	if (p0.dist(p1) < R) {
		return {};

	}

	else if (p0.dist(p1) == R) {
		return { p1 };
	}

	else if (p0.dist(p1) > R) {
		r r1 = p0 - p1;     // p0p1
		db p1p2 = sqrt(r1.len() * r1.len() - R * R);
		db p1p3 = p1p2 * p1p2 / r1.len();
		db p2p3 = R * p1p2 / r1.len();

		r r2 = r1 * (p1p3 / r1.len());	//p1p3
		r R3 = p1 + r2; // rad vector p3s
		r n(p1.y - p0.y, p0.x - p1.x);  // -n
		r r3 = n * (p2p3 / n.len());							//p3p2

		r R21 = R3 + r3;
		r R22 = R3 - r3;
		return { R21, R22 };
	}




}

int find(vector<r> a, r t) {
	for (int i = 0; i < a.size(); i++) {
		if (a[i] == t) {
			return i;
		}
	}


}


r rightest(vector<r>& a, r l) {


	int k = (find(a, l) + 1) % a.size();
	r right = a[k];

	for (int i = 0; i < a.size() - 1; i++) {
		if (triangle(a[(k + i) % a.size()], l, right).square() <= 0) {
			right = a[(k + i) % a.size()];
		}



	}
	return right;

}


vector<r> ConvexHull(vector<r> points) {


	r l = points[0];
	int n = points.size();
	int k = 0;
	for (int i = 0; i < n; i++) {
		if (points[i].x < l.x) {
			l = points[i];
			k = i;
		}
		else if (points[i].x == l.x and points[i].y < l.y) {
			l = points[i];
			k = i;

		}
	}



	vector<r> res;
	res.push_back(l);

	r next = points[(k + 1) % n], right = l;


	while (not (next == l)) {
		next = right;
		right = rightest(points, next);
		res.push_back(right);
		next = right;
	}

	res.pop_back();

	return res;

}


db square(vector<r> a) {

	db s = 0;

	int n = a.size();

	for (int i = 0; i < a.size(); i++) {

		s += a[i].x * a[(i + 1) % n].y - a[(i + 1) % n].x * a[i].y;

	}

	return abs(s);

}

	int RaySegment(ray ray1, r r3, r r4) {

		line l1(ray1.r1, ray1.r2);

		db h1 = l1.hight(r3);
		db h2 = l1.hight(r4);

		if (h1 * h2 > 0) {
			return 0;
		}
		if (h1 * h2 == 0) {
			return -1;
		}
		if (h1 * h2 < 0) {
			line l2(r3, r4);
			r r5 = l1 ^ l2;
			if (r5 == ray1.r1) {
				cout << "YES";
				exit(0);
			}
			if (r(r5.x - ray1.r1.x, r5.y - ray1.r1.y) * r(ray1.r2.x - ray1.r1.x, ray1.r2.y - ray1.r1.y) < 0) {
				return 0;
			}
			else {
				return 1;
			}
		}

	}







	ray RandomRay(r r0) {
		return ray(r0, r(rand(), rand()));

	}










// вывод вектора cout << vec;
template <typename T>
ostream& operator<< (ostream& o, vector<T> a) {
    for (auto x : a) {
        o << x << " ";
    }
    o << endl;
    return o;
}


//output pair, by "cout << pair"
template <typename T>
ostream& operator << (ostream& o, pair<T, T> a) {
    o << a.first << " " << a.second;
    return o;
}


//input vector
template <typename T>
istream& operator>> (istream& i, vector<T>& a) {

    for (auto& x : a) {
        i >> x;
    }
    return i;
}


int main()
{	
	vector<string> colors = {"R", "G", "B"};
	int a, b;
	cin >> a >> b;
	int flag = 0;
	for (int i = 0; i < a; i++) {

		for (int j = 0; j < b; j++) {
			if ((i+j)%2 == 1)
				cout << "G";
			else {
				if ((i + j) % 4 == 0) 
					cout << "R";
				else 
					cout << "B";
				}
			}
			cout << endl;
			
		}
		

	}


