#include <iostream>
#include <chrono>
#include <climits>
#include <cmath>
#include <random>
#include <algorithm>
#include <vector>
#include <string>

#pragma GCC optimize("O3")
#pragma GCC target("avx2,bmi,bmi2,lzcnt,popcnt")

typedef long long ll;
typedef unsigned long long ull;

using namespace std;

mt19937_64 rnd(chrono::steady_clock::now().time_since_epoch().count());

int main() {
    vector<int> primes = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53,
                          59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113};
    int n;
    cin >> n;

    long long ans_a = 0;
    long long ans_b = LLONG_MAX;

    for (int i = 0; i < (1 << n); ++i) {
        long long a = 1, b = 1;
        for (int j = 0; j < n; ++j) {
            if ((i >> j) & 1) {
                a *= primes[j];
            } else {
                b *= primes[j];
            }
        }
        if (a < b && b - a < ans_b - ans_a) {
            ans_a = a;
            ans_b = b;
        }
    }

    cout << ans_a << endl;
    return 0;
}
