def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_primes(n):
    primes = []
    current_num = 2
    while len(primes) < n:
        if is_prime(current_num):
            primes.append(current_num)
        current_num += 1
    return primes

def beautiful_partition(n):
    primes = generate_primes(n)
    total_primes = len(primes)
    total_prod = 1
    for p in primes:
        total_prod *= p

    best_a = None
    best_difference = float('inf')

    for mask in range(1 << total_primes):
        a_product = 1
        b_product = 1
        a_count = 0
        b_count = 0

        for i in range(total_primes):
            if mask & (1 << i): 
                a_product *= primes[i]
                a_count += 1
            else:
                b_product *= primes[i]
                b_count += 1

        if a_count > 0 and b_count > 0 and a_product < b_product: 
            difference = b_product - a_product
            if difference < best_difference or (difference == best_difference and a_product < best_a):
                best_difference = difference
                best_a = a_product

    return best_a

n = int(input())
result = beautiful_partition(n)
print(result)
