
from itertools import combinations
from math import prod

def beautiful_partition(numbers, n):
    numbers = numbers[:n]
    total_elements = len(numbers)
    min_diff = float('inf')
    best_a = None

    for i in range(total_elements + 1):
        for subset in combinations(numbers, i):
            a = prod(subset)
            
            remaining = [num for num in numbers if num not in subset]
            b = prod(remaining)
            
            if a < b and b - a < min_diff:
                min_diff = b - a
                best_a = a
    
    return best_a


primes = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113]
n = int(input())
print(beautiful_partition(primes, n))
