
from math import prod

def beautiful_partition(numbers, n):
    numbers = numbers[:n]  
    total_cases = 1 << n  
    min_diff = float('inf')
    best_a = None

    for mask in range(total_cases):
        A, B = [], []

        
        for i in range(n):
            if mask & (1 << i):  
                A.append(numbers[i])
            else:  
                B.append(numbers[i])

        
        prod_a = prod(A) if A else 1 
        prod_b = prod(B) if B else 1  

        if prod_a < prod_b:
            diff = prod_b - prod_a
            if diff < min_diff:
                min_diff = diff
                best_a = prod_a

    return best_a

primes = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113]
n = int(input())
print(beautiful_partition(primes, n))

