import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Main {
    
    public static void main(String[] args) { 
        Scanner in = new Scanner(System.in);
        int a = in.nextInt();
        int b = in.nextInt();
        int c = in.nextInt();
        int d = in.nextInt();
        in.close();
        
        int[] weights = {a, b, c, d};
        List<Integer> left = new ArrayList<>();
        List<Integer> right = new ArrayList<>();
        
        if (findBalance(weights, left, right, 0)) {
            printResult(left, right);
        } else {
            System.out.println(-1);
        }
    }
    
    private static boolean findBalance(int[] weights, List<Integer> left, List<Integer> right, int index) {
        if (index == weights.length) {
            return sum(left) == sum(right);
        }
        
        left.add(weights[index]);
        if (findBalance(weights, left, right, index + 1)) {
            return true;
        }
        left.remove(left.size() - 1);
        
        right.add(weights[index]);
        if (findBalance(weights, left, right, index + 1)) {
            return true;
        }
        right.remove(right.size() - 1);

        return false;
    }
    
    private static int sum(List<Integer> list) {
        int total = 0;
        for (int weight : list) {
            total += weight;
        }
        return total;
    }
    
    private static void printResult(List<Integer> left, List<Integer> right) {
        System.out.println(
            left.stream()
            .map(String::valueOf)
            .reduce((a, b) -> a + " " + b)
            .orElse(""));
        System.out.println(
            right.stream()
            .map(String::valueOf)
            .reduce((a, b) -> a + " " + b)
            .orElse(""));
    }
}