import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Main {
    
    public static void main(String[] args) { 
        Scanner in = new Scanner(System.in);
        int n = in.nextInt();
        in.close();
        
        if (n < 1 || n > 100){
            return;
        }
        
        List<List<Integer>> partitions = new ArrayList<>();
        findPartitions(n, 1, new ArrayList<>(), partitions);
        
        for (List<Integer> partition : partitions) {
            System.out.println(partitionToString(partition));
        }
    }
    
    private static void findPartitions(int n, int start, List<Integer> current, List<List<Integer>> partitions) {
        if (n == 0) {
            if (is(current)) {
                partitions.add(new ArrayList<>(current));
            }
            return;
        }
        
        for (int i = start; i <= n; i++) {
            current.add(i);
            findPartitions(n - i, i + 1, current, partitions);
            current.remove(current.size() - 1);
        }
    }
    
    private static boolean is(List<Integer> partition) {
        int size = partition.size();
        for (int i = 0; i < size - 2; i++) {
            if (!(partition.get(i + 2) - partition.get(i + 1) > partition.get(i + 1) - partition.get(i))) {
                return false;
            }
        }
        return true;
    }
    
    private static String partitionToString(List<Integer> partition) {
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < partition.size(); i++) {
            sb.append(partition.get(i));
            if (i < partition.size() - 1) {
                sb.append("+");
            }
        }
        return sb.toString();
    }
}