import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Main {
    
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int n = in.nextInt();
        in.close();

        List<Integer> primes = generatePrimes(n);

        long min = Long.MAX_VALUE;
        long out = 1;

        long total = 1;
        for (int prime : primes) {
            total *= prime;
        }

        List<Long> results = new ArrayList<>();
        partition(primes, 0, 1, total, results);

        for (long a : results) {
            long b = total / a;
            long diff = Math.abs(b - a);
            if (a < b && diff < min) {
                min = diff;
                out = a;
            }
        }

        System.out.println(out);
    }

    private static void partition(List<Integer> primes, int index, long out, long total, List<Long> results) {
        if (index == primes.size()) {
            results.add(out);
            return;
        }

        partition(primes, index + 1, out * primes.get(index), total, results);
        partition(primes, index + 1, out, total, results);
    }

    private static List<Integer> generatePrimes(int n) {
        List<Integer> primes = new ArrayList<>();
        int num = 2; 
        while (primes.size() < n) {
            if (isPrime(num)) {
                primes.add(num);
            }
            num++;
        }
        return primes;
    }

    private static boolean isPrime(int num) {
        if (num <= 1) return false;
        for (int i = 2; i <= Math.sqrt(num); i++) {
            if (num % i == 0) {
                return false;
            }
        }
        return true;
    }
}