def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_primes(n):
    primes = []
    num = 2
    while len(primes) < n:
        if is_prime(num):
            primes.append(num)
        num += 1
    return primes

def split_primes(primes):
    from itertools import combinations
    n = len(primes)
    best_diff = float('inf')
    best_a = []
    best_b = []
    for r in range(1, n):
        for group_a in combinations(primes, r):
            group_b = [p for p in primes if p not in group_a]
            prod_a = 1
            prod_b = 1
            for num in group_a:
                prod_a *= num
            for num in group_b:
                prod_b *= num
            if prod_a > prod_b:
                diff = prod_a - prod_b
                if diff < best_diff:
                    best_diff = diff
                    best_a = group_a
                    best_b = group_b
    return best_a, best_b
n = int(input())
primes = generate_primes(n)
group_a, group_b = split_primes(primes)
if group_a and group_b:
    prod_a = 1
    prod_b = 1
    for num in group_a:
        prod_a *= num
    for num in group_b:
        prod_b *= num

    print(prod_b)
elif n == 1:
    print(1)